Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.net.smtp
Enum AuthenticatingSMTPClient.AUTH_METHOD

    java.lang.Object
      java.lang.Enum<AuthenticatingSMTPClient.AUTH_METHOD>
          org.apache.commons.net.smtp.AuthenticatingSMTPClient.AUTH_METHOD

All Implemented Interfaces:
  Serializable, Comparable<AuthenticatingSMTPClient.AUTH_METHOD>

Enclosing class:
  AuthenticatingSMTPClient

    public static enum AuthenticatingSMTPClient.AUTH_METHOD

extends Enum<AuthenticatingSMTPClient.AUTH_METHOD>

The enumeration of currently-supported authentication methods.

Enum Constant Summary
`CRAM_MD5` The standarised (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).
`LOGIN` The unstandarised Microsoft LOGIN method, which sends the password unencrypted (insecure).
`PLAIN` The standarised (RFC4616) PLAIN method, which sends the password unencrypted (insecure).
`XOAUTH` XOAuth method which accepts a signed and base64ed OAuth URL.

Method Summary
`static String` | `getAuthName(AuthenticatingSMTPClient.AUTH_METHOD method)` Gets the name of the given authentication method suitable for the server.
`static AuthenticatingSMTPClient.AUTH_METHOD` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthenticatingSMTPClient.AUTH_METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN

    public static final AuthenticatingSMTPClient.AUTH_METHOD PLAIN

  The standarised (RFC4616) PLAIN method, which sends the password unencrypted (insecure).

### CRAM_MD5

    public static final AuthenticatingSMTPClient.AUTH_METHOD CRAM_MD5

  The standarised (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).

### LOGIN

    public static final AuthenticatingSMTPClient.AUTH_METHOD LOGIN

  The unstandarised Microsoft LOGIN method, which sends the password unencrypted (insecure).

### XOAUTH

    public static final AuthenticatingSMTPClient.AUTH_METHOD XOAUTH

  XOAuth method which accepts a signed and base64ed OAuth URL.

Method Detail

### values

    public static AuthenticatingSMTPClient.AUTH_METHOD[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuthenticatingSMTPClient.AUTH_METHOD c : AuthenticatingSMTPClient.AUTH_METHOD.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuthenticatingSMTPClient.AUTH_METHOD valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAuthName

    public static final String getAuthName(AuthenticatingSMTPClient.AUTH_METHOD method)

  Gets the name of the given authentication method suitable for the server.

  Parameters:
    `method` - The authentication method to get the name for.
  Returns:
    The name of the given authentication method suitable for the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.